<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      TicTacToe
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true" scroll-y="false">

  <section class="container">
    <div class="info">
      <span id="difficulty">Schwierigkeitsgrad: {{difficulty}}</span>
      <span id="current_player">{{current}} ist am Zug</span>
      <span id="game_result">{{gameResult}}</span>
    </div>

    <div class="playground">
      <ion-button fill="outline" (click)="click(0)">{{fields[0]}}</ion-button>
      <ion-button fill="outline" (click)="click(1)">{{fields[1]}}</ion-button>
      <ion-button fill="outline" (click)="click(2)">{{fields[2]}}</ion-button>

      <ion-button fill="outline" (click)="click(3)">{{fields[3]}}</ion-button>
      <ion-button fill="outline" (click)="click(4)">{{fields[4]}}</ion-button>
      <ion-button fill="outline" (click)="click(5)">{{fields[5]}}</ion-button>

      <ion-button fill="outline" (click)="click(6)">{{fields[6]}}</ion-button>
      <ion-button fill="outline" (click)="click(7)">{{fields[7]}}</ion-button>
      <ion-button fill="outline" (click)="click(8)">{{fields[8]}}</ion-button>
    </div>

    <div class="buttons">
      <ion-button (click)="reset()">Neues Spiel</ion-button>
      <ion-button (click)="changeDifficulty()">Schwierigkeit ändern</ion-button>
    </div>
  </section>

</ion-content>
